Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.precision
Class PrecisionReducerCoordinateOperation

    java.lang.Object
      com.vividsolutions.jts.geom.util.GeometryEditor.CoordinateOperation
          com.vividsolutions.jts.precision.PrecisionReducerCoordinateOperation

All Implemented Interfaces:
  GeometryEditor.GeometryEditorOperation

    public class PrecisionReducerCoordinateOperation

extends GeometryEditor.CoordinateOperation

Constructor Summary
`PrecisionReducerCoordinateOperation(PrecisionModel targetPM, boolean removeCollapsed)`

Method Summary
`Coordinate[]` | `edit(Coordinate[] coordinates, Geometry geom)` Edits the array of `Coordinate`s from a `Geometry`.

Methods inherited from class com.vividsolutions.jts.geom.util.GeometryEditor.CoordinateOperation
`edit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrecisionReducerCoordinateOperation

    public PrecisionReducerCoordinateOperation(PrecisionModel targetPM,
                                               boolean removeCollapsed)

Method Detail

### edit

    public Coordinate[] edit(Coordinate[] coordinates,
                             Geometry geom)

  Description copied from class: `GeometryEditor.CoordinateOperation`
  Edits the array of `Coordinate`s from a `Geometry`.

  If it is desired to preserve the immutability of Geometrys, if the coordinates are changed a new array should be created and returned.

  Specified by:
    `edit` in class `GeometryEditor.CoordinateOperation`
  Parameters:
    `coordinates` - the coordinate array to operate on
    `geom` - the geometry containing the coordinate list
  Returns:
    an edited coordinate array (which may be the same as the input)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD